Skip to main content
POST
/
api
/
monitors
/
automated
/
v1
/
deployment-rules
UpsertDeploymentRule
curl --request POST \
  --url https://developer.synq.io/api/monitors/automated/v1/deployment-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deploymentRule": {
    "exclusiveQueryConfig": {
      "query": {
        "parts": [
          {
            "identifierList": {
              "identifiers": [
                {
                  "airflowDag": {
                    "integrationId": "<string>",
                    "dagId": "<string>"
                  }
                }
              ]
            }
          }
        ]
      },
      "resolverQl": "<string>",
      "renderedResolverQl": "<string>"
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "configId": "<string>"
  }
}
'
import requests

url = "https://developer.synq.io/api/monitors/automated/v1/deployment-rules"

payload = { "deploymentRule": {
"exclusiveQueryConfig": {
"query": { "parts": [{ "identifierList": { "identifiers": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] } }] },
"resolverQl": "<string>",
"renderedResolverQl": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"configId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentRule: {
exclusiveQueryConfig: {
query: {
parts: [
{
identifierList: {identifiers: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]}
}
]
},
resolverQl: '<string>',
renderedResolverQl: '<string>'
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
configId: '<string>'
}
})
};

fetch('https://developer.synq.io/api/monitors/automated/v1/deployment-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
deploymentRule
MonitorsDeploymentRule · object

Response

200 - application/json

Success

The response is of type UpsertDeploymentRuleResponse · object.